# Device hinge angle

A decision block that checks hinge angle of a foldable device.

If the proceed option is set to Immediately, then check the current angle without pausing the fiber. If set to When changed, then the fiber will pause until the angle comes within the angular range, or goes out of range.

If both minimum angle and maximum angle is set and doesn’t evaluate to `null` then the rate must be within the range. If only minimum is set, then the angle must be greater than or equal to it. If only maximum is set, then the angle must be less than or equal to it. If neither minimum nor maximum is set, then the current angle is just assigned to the current angle variable without a check.

Note! This feature requires Android 11+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum angle — minimum angle in degrees.
- Maximum angle — maximum angle in degrees.

## Output variables

- Current angle — variable to assign the current angle in degrees.